public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Chí-Thanh Christopher Nguyễn" <chithanh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-firmware/radeon-ucode/
Date: Tue,  1 Sep 2015 22:25:45 +0000 (UTC)	[thread overview]
Message-ID: <1441146348.7cd4634a9c10c18ea40f8979aaea01d2995f640c.chithanh@gentoo> (raw)

commit:     7cd4634a9c10c18ea40f8979aaea01d2995f640c
Author:     Chí-Thanh Christopher Nguyễn <chithanh <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  1 22:25:48 2015 +0000
Commit:     Chí-Thanh Christopher Nguyễn <chithanh <AT> gentoo <DOT> org>
CommitDate: Tue Sep  1 22:25:48 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cd4634a

sys-firmware/radeon-ucode: add latest ucode files for VCE1

Bug: https://bugs.gentoo.org/show_bug.cgi?id=559344

Package-Manager: portage-2.2.20.1

 sys-firmware/radeon-ucode/Manifest                 |  1 +
 .../radeon-ucode/radeon-ucode-20150511.ebuild      | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/sys-firmware/radeon-ucode/Manifest b/sys-firmware/radeon-ucode/Manifest
index 9e778f9..0f53bad 100644
--- a/sys-firmware/radeon-ucode/Manifest
+++ b/sys-firmware/radeon-ucode/Manifest
@@ -1,3 +1,4 @@
 DIST radeon-ucode-20140204.tar.xz 523300 SHA256 9e10b5c5dd052c9a2347b76d86a36f46b9aec568067aeba1bcff5b830f75a7c4 SHA512 c116f8612d0cc19fe8f117c42daba59132a04079e898e392f4661e302c7052229b4ced94be9627aa07e433fd9e07d9a9e538ee8004d5b261ec1e0ddad4abc7dc WHIRLPOOL d6483cca8cbc831f1590ce49a6d0685b2565a5d63a063a8b1c43929a5cc2027cd60009572c34c9889ce4ef3c4f6e23c263c672714bfaea35edf205c65bcbed83
 DIST radeon-ucode-20140430.tar.xz 531304 SHA256 a29fab53ac0ecca1775d0338f693954f9336911beaa32536fa6c70a21eefd06c SHA512 adb72e783a782242561fb036b58129b53b312ed1d58d6f05eca0725f3544ea41d3bd13cd712aa90b9cd0e95219c5789018c7a925d5045a253993442bed0a80c4 WHIRLPOOL 724455e7d5c2e48213b93e9ba3e310dbaa9863006e3ec05712be324b3efbf7b3d0d6ac6a20aafab771bf67ea35d291cfa505baa6f1e427393ea88149e3e771e3
 DIST radeon-ucode-20140823.tar.xz 694248 SHA256 37eb33aea68e06ecfad79c871a1ceedd99a04d03f5ae8e3449e4331d2b19e2c4 SHA512 c23326700d41ecdef4ce8d6f8638a1faa335a9ded7d717e3edd0422ba6e7d118981fd153de50892e87fa45f6da28ea973f6b29cd1025123fe1770f783dc99812 WHIRLPOOL a86382353f71e8b9735db80491258d7d670ada31ba89c514fb1e5fd3d2b7121cbc7c8007af36c01d5dcc85ffb5ea3e6a726c78557af1b186df8f3bbab5564050
+DIST radeon-ucode-20150511.tar.xz 732772 SHA256 7aa3825cb538826274b93a05a5d3168baa038855b3699a76f6d2512d3e1e5ce4 SHA512 f72afcdc18562fcd9eac4adb371c6bc40cd97b8478031e2b820f34997ce547c05e190b01e9eaaa408a9c557d8a957e3b1d42916683885da18676c79bd2fffd08 WHIRLPOOL 42a255d78dab2cd9737b408e29c718f3ed4008253a39207a5bb4cc64dbbb39d4e9efeb8f834c327c0650d3f3a100a9b782d521dd003d4e84adf559783b9dd9e2

diff --git a/sys-firmware/radeon-ucode/radeon-ucode-20150511.ebuild b/sys-firmware/radeon-ucode/radeon-ucode-20150511.ebuild
new file mode 100644
index 0000000..2cc0e51
--- /dev/null
+++ b/sys-firmware/radeon-ucode/radeon-ucode-20150511.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit linux-info
+
+DESCRIPTION="IRQ microcode for r6xx/r7xx/Evergreen/N.Islands/S.Islands Radeon GPUs and APUs"
+HOMEPAGE="http://people.freedesktop.org/~agd5f/radeon_ucode/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="radeon-ucode"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!sys-kernel/linux-firmware[-savedconfig]"
+
+S=${WORKDIR}/${PN/-/_}
+
+src_install() {
+	insinto /lib/firmware/radeon
+	FILES=( *.bin )
+	doins ${FILES[@]} || die "doins failed"
+}
+
+pkg_postinst() {
+	if linux_config_exists && linux_chkconfig_builtin DRM_RADEON; then
+		if ! linux_chkconfig_present FIRMWARE_IN_KERNEL || \
+			! [[ "$(linux_chkconfig_string EXTRA_FIRMWARE)" == *_rlc.bin* ]]; then
+			ewarn "Your kernel has radeon DRM built-in but not the IRQ microcode."
+			ewarn "For kernel modesetting to work, please set in kernel config"
+			ewarn "CONFIG_FIRMWARE_IN_KERNEL=y"
+			ewarn "CONFIG_EXTRA_FIRMWARE_DIR=\"/lib/firmware\""
+			ewarn "CONFIG_EXTRA_FIRMWARE=\"${FILES[@]/#/radeon/}\""
+			ewarn "You may skip microcode files for which no hardware is installed."
+			ewarn "More information at https://wiki.gentoo.org/wiki/Radeon#Firmware"
+		fi
+	fi
+}


             reply	other threads:[~2015-09-01 22:25 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-01 22:25 Chí-Thanh Christopher Nguyễn [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-04-08  0:34 [gentoo-commits] repo/gentoo:master commit in: sys-firmware/radeon-ucode/ Chí-Thanh Christopher Nguyễn
2016-05-17 16:15 Chí-Thanh Christopher Nguyễn
2016-05-17 16:15 Chí-Thanh Christopher Nguyễn
2016-06-28 21:26 Chí-Thanh Christopher Nguyễn
2017-01-20 16:25 Chí-Thanh Christopher Nguyễn
2017-01-20 16:25 Chí-Thanh Christopher Nguyễn
2017-03-16 20:37 Matt Turner
2017-05-29  3:30 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1441146348.7cd4634a9c10c18ea40f8979aaea01d2995f640c.chithanh@gentoo \
    --to=chithanh@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox